Subject: Q re binary mounts
From: [email-masked] ("Richardson,Anthony")

5 Jun 1997 21:43:29 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "'Gnu-Win32 List'" <[email-masked]>
X-Mailer: Worldtalk (NetConnex V4.00)/MIME
Original-Sender: [email-masked]

Here's the relevant part of my mount table:

   f:\gnuwin32\root /                   native      no-mixed,text=binary

I assume that everything under / will then be treated as if the binary   
and text files the are same (no \n translation).

However, when I run the following program:

int main ()
{
  FILE *outtxt, *outbin;
  outtxt = fopen("outtxt","w");
  outbin = fopen("outbin","wb");
  fprintf(outtxt,"Hello world!\nLine 2\n");
  fprintf(outbin,"Hello world!\nLine 2\n");
}

in /home/amr, file "outtxt" contains \r before each \n.  I assumed that a   
binary mount would mean that all files are "unix" like files.

Do I not understand binary mounts or is something wrong with my setup?

Thanks
Tony Richardson

p.s. Is there a good answer to whether to mount binary or not?  I like   
the DOS/Unix compatibility that comes with not mounting binary, but I've   
been disappointed in the number of Unix programs that break.  
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".